# UniTAP.dev.ports.modules.pdc.pdc_bus_status

class BusElectricalStatus:

Class `BusElectricalStatus` contains information about current BUU Electrical status.

- Get VBus voltage `vbus_voltage`, type `int`.
- Get VBus current `vbus_current`, type `int`.
- Get CC1 voltage `cc1_voltage`, type `int`.
- Get CC2 voltage `cc2_voltage`, type `int`.
- Get VCONN voltage `vconn_voltage`, type `int`.
- Get VCONN current `vconn_current`, type `int`.
- Get SBU-1 voltage `sbu_1_voltage`, type `int`.
- Get SBU-2 voltage `sbu_2_voltage`, type `int`.

BusElectricalStatus(pdc_io: UniTAP.dev.ports.modules.pdc.pdc_io.PDCPortIO)
vbus_voltage: int

Returns current VBus voltage.

###### Returns:

> object of `int` type

vbus_current: int

Returns current VBus current.

###### Returns:

> object of `int` type

cc1_voltage: int

Returns current CC1 voltage.

###### Returns:

> object of `int` type

cc2_voltage: int

Returns current CC2 voltage.

###### Returns:

> object of `int` type

vconn_voltage: int

Returns current VCONN voltage.

###### Returns:

> object of `int` type

vconn_current: int

Returns current VCONN current.

###### Returns:

> object of `int` type

sbu_1_voltage: int

Returns current SBU-1 voltage.

###### Returns:

> object of `int` type

sbu_2_voltage: int

Returns current SBU-2 voltage.

###### Returns:

> object of `int` type